using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public partial class Const
{
    public static class Path
    {
        public static string GetFilm(int pLevelID)
        {
            return string.Format("Film/{0}", (pLevelID + 1).ToString());
        }

        public static string GetLevelIconBig(int pLevelID)
        {
            return string.Format("Image/LevelIcon_Big/{0}", (pLevelID + 1).ToString("D3"));
        }

        public static string GetLevelIconSmall(int pLevelID)
        {
            return string.Format("Image/LevelIcon_Small/{0}", (pLevelID + 1).ToString("D3"));
        }

        public static string GetLevelLogo(int pLevelID)
        {
            return string.Format("Image/LevelLogo/{0}", (pLevelID + 1).ToString("D3"));
        }

        public static string GetSoundPic(int pLevelID, int pSoundIndex)
        {
            string tLevelIDStr = (pLevelID + 1).ToString("D3");
            return string.Format("Image/SoundPic/{0}/{1}", tLevelIDStr, tLevelIDStr + "_" + (pSoundIndex + 1).ToString());
        }

        public static string GetSound(int pLevelID, int pSoundIndex)
        {
            string tLevelIDStr = (pLevelID + 1).ToString("D3");
            return string.Format("Audio/GameSound/{0}/{1}", tLevelIDStr, tLevelIDStr + "_" + (pSoundIndex + 1).ToString());
        }

        public static string GetNumPicA(string pNum)
        {
            return string.Format("Image/NumPic/NumA_{0}", pNum);
        }
    }
}